import { attachShadow, h, proxyCustomElement } from '@stencil/core/internal/client';
export { setAssetPath, setPlatformOptions } from '@stencil/core/internal/client';

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent$2 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
    this.progressAmount = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.first, '', '');
  }
  render() {
    return h("div", null, this.getText());
  }
  static get style() { return circleProgressCss; }
};

const myComponentCss = ":host{display:block}";

const MyComponent$1 = class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    attachShadow(this);
  }
  render() {
    return h("div", null, this.first);
  }
  static get style() { return myComponentCss; }
};

const CircleProgress = /*@__PURE__*/proxyCustomElement(MyComponent$2, [1,"circle-progress",{"first":[1],"progressAmount":[1,"progress-amount"],"progressColor":[1,"progress-color"]}]);
const MyComponent = /*@__PURE__*/proxyCustomElement(MyComponent$1, [1,"my-component",{"first":[1]}]);
const defineCustomElements = (opts) => {
  if (typeof customElements !== 'undefined') {
    [
      CircleProgress,
  MyComponent
    ].forEach(cmp => {
      if (!customElements.get(cmp.is)) {
        customElements.define(cmp.is, cmp, opts);
      }
    });
  }
};

export { CircleProgress, MyComponent, defineCustomElements };
